#include <stdio.h>
#include <unistd.h>
#include <SDL/SDL.h>
#include <stdlib.h>


void
ShowBMP(char *file, SDL_Surface * screen, int x, int y)
{
    SDL_Surface *image;
    SDL_Rect dest;

    /* Charger une image BMP dans une surface */
    image = SDL_LoadBMP (file);
    if( image == NULL) {
      fprintf (stderr, "Impossible de charger %s: %s\n", file,
	       SDL_GetError ());
	return;
    } else {
	printf("Ok on a charg l'image :-)\n" );
    }

    /* Copie  l'cran.
     *  La surface ne doit pas tre bloque maintenant
     */
    dest.x = x;
    dest.y = y;
    dest.w = image->w;
    dest.h = image->h;
    SDL_BlitSurface (image, NULL, screen, &dest);

    /*Mise  jour de la portion qui a chang */
//    SDL_UpdateRects (screen, 1, &dest);
    SDL_Flip( screen );
}

void usage()
{
    printf("webcam: [file]\n");
    exit(1);
}


int
main (int argc, char **argv)
{
    SDL_Surface *screen;

    if( argc != 2 ) {
	usage();
    }

    if (SDL_Init (SDL_INIT_VIDEO) < 0) {
	fprintf (stderr, "Impossible d'initialiser SDL\n");
	exit (1);
    }
    atexit (SDL_Quit);


    screen = SDL_SetVideoMode (640, 480, 16, SDL_SWSURFACE);
    if (screen == NULL) {
	fprintf (stderr, "Impossible de passer en 640x480 en 16 bpp \n");
	exit (1);
    }

    ShowBMP( argv[1], screen , 0, 0 ) ;
    
    sleep( 5 );

  return 0;
}
